LTTNG-MEMTOP(1)

NAME
lttng-memtop - LTTng analyses memory top

DESCRIPTION
usage: lttng-memtop [-h] [-r REFRESH] [--limit LIMIT] [--no-progress]

[--skip-validation] [--gmt] [--begin BEGIN] [--end END]
    [--timerange TIMERANGE] [--procname PROCNAME] [--pid PID] [-V] <path/to/trace>

The memtop command.

  positional arguments:

<path/to/trace>
    trace path

  optional arguments:

-h, --help
    show this help message and exit

-r REFRESH, --refresh REFRESH
    Refresh period in seconds

--limit LIMIT
    Limit to top X (default = 10)

--no-progress
    Don't display the progress bar

--skip-validation
    Skip the trace validation

--gmt
    Manipulate timestamps based on GMT instead of local time

--begin BEGIN
    start time: hh:mm:ss[.nnnnnnnnn]

--end END
    end time: hh:mm:ss[.nnnnnnnnn]

--timerange TIMERANGE
    time range: [begin,end]

--procname PROCNAME
    Filter the results only for this list of process names

--pid PID
    Filter the results only for this list of PIDs

-V, --version
    show program's version number and exit